<solved> UP5 - Another CUPS issue ? - Samsung clp620nd

Post your update and upgrade related errors here
Forum rules
Before you post please read this

<solved> UP5 - Another CUPS issue ? - Samsung clp620nd

Postby iainrs on Fri Sep 21, 2012 1:53 pm

I've identified a problem with my networked Samsung Clp620ND
It has worked very happily since I purchased it in March 2102 (as did the previous clp550n)
I used the 'Unified Linux Driver_1.04' from Samsung.

After the upgrade to UP5 the printer stopped working(from Linux),
Print jobs were sent but did not print (or appear in the job queue)

if I go into system/printing and look at the properties for the printer
in the 'ink/toner levels' tab(!) Status messages I have
errors :
Printer 'clp620-mono':'cups-ipp-conformance-report'
Printer 'clp620-mono':'cups-ipp-missing-job-history'
(these may be red herrings as they are still there after I have gone back)

on speaking to Samsung they admit there is a problem but no date for a solution !

A networked HP Officejet works OK

I have now restored my system to pre UP5 (CUPS 1.5.2) so that I can print but is it possible/wise to exclude CUPS from the 1409 updates that are still outstanding ?

Any advice please ?

Iain
is (after restore pre-upgrade):
Processor : Intel i5 quad core, 2.67GHz , 4Gb Ram
Kernel : Linux 3.2.0-2-amd64 (x86_64)
Compiled : #1 SMP Sun Mar 4 22:48:17 UTC 2012
Default C Compiler : GNU C Compiler version 4.6.3 (Debian 4.6.3-1)
Distribution : Linux Mint Debian Edition
Desktop Environment : XFCE 4
was (after upgrade):
Kernel : Linux 3.2.0-3-amd64 (x86_64) [after UD5)
Compiled : #1 SMP Thu Jun 28 09:07:26 UTC 2012
Default C Compiler : GNU C Compiler version 4.7.1 (Debian 4.7.1-2)
Distribution : Linux Mint Debian Edition
Desktop Environment : XFCE 4

Processor : Intel i5 quad core, 2.67GHz , 4Gb Ram
Last edited by iainrs on Wed Sep 26, 2012 12:18 pm, edited 1 time in total.
iainrs
Level 1
Level 1
 
Posts: 22
Joined: Mon Nov 07, 2011 5:14 pm

Linux Mint is funded by ads and donations.
 

Re: UP5 - Another CUPS issue ? - Samsung clp620nd

Postby sobrus on Mon Sep 24, 2012 4:05 am

You can prevent packages from updating using dpkg

echo "package_name hold" | dpkg --set-selections

Or something like that. After that, apt-get won't update it (with all required dependencies).

To check what have you already locked:

dpkg --get-selections | grep hold
sobrus
Level 2
Level 2
 
Posts: 87
Joined: Thu Aug 30, 2012 1:36 am

Re: UP5 - Another CUPS issue ? - Samsung clp620nd

Postby iainrs on Mon Sep 24, 2012 12:42 pm

Would I achieve the same effect by unchecking the 6 'cups' modules in mintupdate ?
iainrs
Level 1
Level 1
 
Posts: 22
Joined: Mon Nov 07, 2011 5:14 pm

Re: UP5 - Another CUPS issue ? - Samsung clp620nd

Postby sobrus on Tue Sep 25, 2012 1:38 am

I really don't know since I've used apt-get to update.
If nobody knows - you can simulate process using VirtualBox.
sobrus
Level 2
Level 2
 
Posts: 87
Joined: Thu Aug 30, 2012 1:36 am

<Solved> UP5 - Another CUPS issue ? - Samsung clp620nd

Postby iainrs on Wed Sep 26, 2012 12:17 pm

Problem Solved
I found 'The Samsung Unified Linux Driver Repository' http://www.bchemnet.com/suldr/index.html
which creates a 'Debian type' repository for Samsung printer drivers.
This gives me a more up-to-date-driver.
Now everything works OK

Before using this I ran UP5 (excluding cups 1.5.3) and the printer worked OK

Iain
iainrs
Level 1
Level 1
 
Posts: 22
Joined: Mon Nov 07, 2011 5:14 pm


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests